package com.gh.gamecenter.energy.entity

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class RollNoticeEntity(
    @SerializedName("_id")
    var id: String = "",
    var commodity: CommodityEntity = CommodityEntity(),
    var user: RollNoticeUser = RollNoticeUser()
) : Parcelable {
    @Parcelize
    data class RollNoticeUser(
        @SerializedName("_id")
        var id: String = "",
        @SerializedName("encrypt_name")
        var name: String = ""
    ) : Parcelable
}